igeo.io

## Class I3DXML.Matrix4x3

- java.lang.Object
- - igeo.io.I3DXML.Matrix4x3

- Enclosing class:
    I3DXML

      public static class I3DXML.Matrix4x3
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double[][]` | `val`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Matrix4x3()`
    `Matrix4x3(double[] v)`
    `Matrix4x3(double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11, double v12)`
    `Matrix4x3(IMatrix3 m, IVec translate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMatrix4` | `getIMatrix4()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### val

          public double[][] val

  - ### Constructor Detail

    - #### Matrix4x3

          public Matrix4x3()

    - #### Matrix4x3

          public Matrix4x3(double v1,
                           double v2,
                           double v3,
                           double v4,
                           double v5,
                           double v6,
                           double v7,
                           double v8,
                           double v9,
                           double v10,
                           double v11,
                           double v12)

    - #### Matrix4x3

          public Matrix4x3(double[] v)

    - #### Matrix4x3

          public Matrix4x3(IMatrix3 m,
                           IVec translate)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getIMatrix4

          public IMatrix4 getIMatrix4()